searchNodes=[{"doc":"Form a simple Erlang cluster easily in Elixir.","ref":"KantanCluster.html","title":"KantanCluster","type":"module"},{"doc":"Broadcasts message on a given topic across the whole cluster. topic - The topic to broadcast to, ie: &quot;users:123&quot; message - The payload of the broadcast","ref":"KantanCluster.html#broadcast/2","title":"KantanCluster.broadcast/2","type":"function"},{"doc":"Connects current node to specified nodes.","ref":"KantanCluster.html#connect/1","title":"KantanCluster.connect/1","type":"function"},{"doc":"Disconnects current node from speficied nodes.","ref":"KantanCluster.html#disconnect/1","title":"KantanCluster.disconnect/1","type":"function"},{"doc":"Starts a node and attempts to connect it to specified nodes. Configuration options can be specified as an argument KantanCluster . start ( node : &quot;node1&quot; , cookie : :hello , connect_to : [ :&quot;nerves@nerves-mn00.local&quot; ] ) or in your config/config.exs . config :kantan_cluster , node : &quot;node1&quot; , cookie : :hello , connect_to : [ :&quot;nerves@nerves-mn00.local&quot; ]","ref":"KantanCluster.html#start/1","title":"KantanCluster.start/1","type":"function"},{"doc":"Stops a node and all the connections.","ref":"KantanCluster.html#stop/0","title":"KantanCluster.stop/0","type":"function"},{"doc":"Subscribes the caller to a given topic. topic - The topic to subscribe to, for example: &quot;users:123&quot;","ref":"KantanCluster.html#subscribe/1","title":"KantanCluster.subscribe/1","type":"function"},{"doc":"See KantanCluster.PubSub.unsubscribe/1 .","ref":"KantanCluster.html#unsubscribe/1","title":"KantanCluster.unsubscribe/1","type":"function"},{"doc":"A node type. See Node.start/3 .","ref":"KantanCluster.html#t:node_type/0","title":"KantanCluster.node_type/0","type":"type"},{"doc":"Options for a cluster. :node the name of a node that you want to start default: {:longnames, :&quot;xxxx@yyyy.local&quot;} where xxxx is a random string, yyyy is the hostname of a machine examples: &quot;node1&quot; {:longnames, :&quot;node1@nerves-mn00.local&quot; } {:shortnames, :&quot;node1@nerves-mn00&quot; } :cookie Erlang magic cookie to form a cluster default: random cookie :connect_to a list of nodes we want our node to be connected with default: []","ref":"KantanCluster.html#t:option/0","title":"KantanCluster.option/0","type":"type"},{"doc":"かんたんクラスター Form a simple Erlang cluster easily in Elixir. A wrapper of Node and Phoenix.PubSub with simple API Reconnection forever in case nodes get disconnected","ref":"readme.html","title":"KantanCluster","type":"extras"},{"doc":"Add kantan_cluster to your list of dependencies in mix.exs : def deps do [ { :kantan_cluster , &quot;~&gt; 0.3&quot; } ] end Start a node and connect it to other nodes based on specified options . iex&gt; KantanCluster . start ( node : &quot;node1&quot; , cookie : :hello , connect_to : [ :&quot;nerves@nerves-mn00.local&quot; ] ) :ok iex ( node1 @ My - Machine . local ) &gt; Alternatively, options can be loaded from your config/config.exs . config :kantan_cluster , node : &quot;node1&quot; , cookie : :hello , connect_to : [ :&quot;nerves@nerves-mn00.local&quot; ] kantan_cluster starts a server that monitors the connection per node name under a DynamicSupervisor . kantan_cluster monitors all the connected nodes and attempts to reconnect them automatically in case they get disconnected. You can connect to or disconnect from a node on demand. KantanCluster . connect ( :&quot;nerves@nerves-mn01.local&quot; ) KantanCluster . disconnect ( :&quot;nerves@nerves-mn01.local&quot; ) For cleanup, just call KantanCluster.stop/0 , which will stop the node and all the connections.","ref":"readme.html#getting-started","title":"KantanCluster - Getting started","type":"extras"},{"doc":"# Subscribes the caller to the KantanCluster&#39;s topic. KantanCluster . subscribe ( &quot;users:123&quot; ) # Broadcasts message on given topic across the whole cluster. KantanCluster . broadcast ( &quot;users:123&quot; , { :hello , Node . self ( ) } )","ref":"readme.html#publish-subscribe","title":"KantanCluster - Publish–subscribe","type":"extras"},{"doc":"This project is inspired by nerves_pack（vintage_net含む）を使ってNerves起動時に Node.connect() するようにした by nishiuchikazuma . Forming an Erlang cluster of Pi Zeros by underjord is a great hands-on tutorial for connecting multiple Nerves devices. Some code is adopted from livebook .","ref":"readme.html#acknowledgements","title":"KantanCluster - Acknowledgements","type":"extras"},{"doc":"All notable changes to this project will be documented in this file. The format is based on Keep a Changelog , and this project adheres to Semantic Versioning .","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"","ref":"changelog.html#unreleased","title":"Changelog - Unreleased","type":"extras"},{"doc":"Add KantanCluster.unsubscribe/2","ref":"changelog.html#0-3-1-2021-10-30","title":"Changelog - 0.3.1 - 2021-10-30","type":"extras"},{"doc":"Add phoenix_pubsub","ref":"changelog.html#0-3-0-2021-10-30","title":"Changelog - 0.3.0 - 2021-10-30","type":"extras"},{"doc":"Do not accept atom for implicit node name Change the return value of KantanCluster.connect/1 to {:ok, [pid]}","ref":"changelog.html#0-2-4-2021-10-29","title":"Changelog - 0.2.4 - 2021-10-29","type":"extras"},{"doc":"Detect hostname when node option is not explicit","ref":"changelog.html#0-2-3-2021-10-29","title":"Changelog - 0.2.3 - 2021-10-29","type":"extras"},{"doc":"Improve KantanCluster.stop/0 Write minimal unit tests Enable unit tests in CI","ref":"changelog.html#0-2-2-2021-10-28","title":"Changelog - 0.2.2 - 2021-10-28","type":"extras"},{"doc":"Detect hostname for the default node name Remove unused singleton package from dependencies Log when node is already started","ref":"changelog.html#0-2-1-2021-10-28","title":"Changelog - 0.2.1 - 2021-10-28","type":"extras"},{"doc":"Add top-level API KantanCluster.start/1 KantanCluster.stop/0 KantanCluster.connect/1 KantanCluster.disconnect/1 Use a local Registy instead of :global Do not automatically start a node on boot","ref":"changelog.html#0-2-0-2021-10-27","title":"Changelog - 0.2.0 - 2021-10-27","type":"extras"},{"doc":"Use singleton package for supervised global processes","ref":"changelog.html#0-1-1-2021-10-26","title":"Changelog - 0.1.1 - 2021-10-26","type":"extras"},{"doc":"Initial release","ref":"changelog.html#0-1-0-2021-10-25","title":"Changelog - 0.1.0 - 2021-10-25","type":"extras"}]